Linux、CentOS、Ubuntu搭建配置PHP5.5、5.6、7.0、7.1、7.2

 Molet   2020-12-23 15:04   174 人阅读  0 条评论

LinuxCentOSUbuntu搭建配置PHP5.5、5.6、7.0、7.1、7.2

点击查看视频教程

网云互联运维工作室

文字教程站:www.94ip.com

视频教程站:www.94ip.net

联系方式:33790982、13434379

演示机:CentOS7.9

CentOS安装php5.4最为简单

yum install -y php   即可安装

这个时候输入php -v  即可看到php版本是PHP5.4.16   

那么,如果安装5.5  5.6等其他版本,就不能再用yum install -y php了。因为它默认安装的是php5.4

咱们还原一下系统,下面开始安装其他版本测试。

如php5.5   

这里给大家准备了5.5~7.2的PHP版本

主要系统为CentOS5.x 6.x 7.x的所有版本

先安装epel   

yum -y install epel-release

根据自己的CentOS系统,更换rpm源

CentOS5

rpm -Uvh http://osss.94ip.net/system/php/C5.rpm

CentOS6

rpm -Uvh http://osss.94ip.net/system/php/C6.rpm

CentOS7

rpm -Uvh http://osss.94ip.net/system/php/c7.rpm

yum search php55w或php56w  等 ,检测rpm源内的php版本

这里除了php,还有一些插件,可以先安装,也可以用到了再安装

这里给大家准备了一些常用的推展一起安装

复制命令,运行即可安装。如果安装其他版本,把命令内的55w换成其他版本即可

yum install php55w.x86_64 php55w-cli.x86_64 php55w-common.x86_64 php55w-gd.x86_64 php55w-ldap.x86_64 php55w-mbstring.x86_64 php55w-mcrypt.x86_64 php55w-mysql.x86_64

输入y回车确认安装

给大家暂停一下

安装完毕了。这个时候,咱们再试一下php -v

版本是PHP 5.5.38   安装其他的也一样,更换完rpm包之后,输入对应的命令安装即可

教程到此结束,有需要帮助可以联系我们

文字教程站:www.94ip.com

视频教程站:www.94ip.net

联系方式:33790982、13434379

本文地址:https://www.94ip.com/post/979.html
版权声明:本文为原创文章,版权归 Molet 所有,欢迎分享本文,转载请保留出处!

评论已关闭!